package com.chenyang.druid.sql.dialect.ads.visitor;

import com.chenyang.druid.sql.dialect.mysql.ast.MySqlPrimaryKey;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateTableStatement;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public interface AdsVisitor extends SQLASTVisitor {
   boolean visit(MySqlPrimaryKey var1);

   void endVisit(MySqlPrimaryKey var1);

   boolean visit(MySqlCreateTableStatement var1);

   void endVisit(MySqlCreateTableStatement var1);
}
